Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.builtins.tbox
Class SWRLBuiltInLibraryImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
          edu.stanford.smi.protegex.owl.swrl.bridge.builtins.tbox.SWRLBuiltInLibraryImpl

All Implemented Interfaces:
  SWRLBuiltInLibrary

    public class SWRLBuiltInLibraryImpl

extends AbstractSWRLBuiltInLibrary

Implementations library for SWRL TBox built-in methods. See here for documentation on this library. See here for documentation on defining SWRL built-in libraries.

Constructor Summary
`SWRLBuiltInLibraryImpl()`

Method Summary
`boolean` | `equalTo(List<BuiltInArgument> arguments)` Check that the two class or property arguments refer to the same underlying entity.
`boolean` | `hasAnnotation(List<BuiltInArgument> arguments)` Is the second annotation property argument associated with the first ontology, class, property or individual argument.
`boolean` | `hasCardinality(List<BuiltInArgument> arguments)` It the second integer argument equal to the cardinality specified by the first owl:Cardinality, owl:MaxCardinality, or owl:MinCardinality restriction argument.
`boolean` | `hasComment(List<BuiltInArgument> arguments)` Is the second string argument the value specified by the first rdfs:comment annotation property argument.
`boolean` | `hasDescription(List<BuiltInArgument> arguments)` Is the second description argument associated with the first class or individual argument.
`boolean` | `hasIsDefinedBy(List<BuiltInArgument> arguments)` Is the second resource argument the value specified by the first rdfs:isDefinedBy annotation property argument.
`boolean` | `hasLabel(List<BuiltInArgument> arguments)` Is the second string argument the value specified by the first rdfs:label annotation property argument.
`boolean` | `hasSeeAlso(List<BuiltInArgument> arguments)` Is the second resource argument the value specified by the first rdfs:seeAlso annotation property argument.
`boolean` | `hasVersionInfo(List<BuiltInArgument> arguments)` Is the second string argument the value specified by the first rdfs:versionInfo annotation property argument.
`boolean` | `isAllDifferents(List<BuiltInArgument> arguments)` Are all individual arguments declared to be the different from each other.
`boolean` | `isAllDifferentsAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:AllDifferentsAxiom.
`boolean` | `isAllValuesFromRestriction(List<BuiltInArgument> arguments)` Is the single argument an owl:AllValuesFrom restriction.
`boolean` | `isAnnotation(List<BuiltInArgument> arguments)` Is the single argument an annotation property.
`boolean` | `isCardinalityRestriction(List<BuiltInArgument> arguments)` Is the single argument an owl:Cardinality restriction.
`boolean` | `isClass(List<BuiltInArgument> arguments)` Determine if a single argument is an OWL named class.
`boolean` | `isClassDescription(List<BuiltInArgument> arguments)` Is the single argument an OWL class description.
`boolean` | `isCommentAnnotation(List<BuiltInArgument> arguments)` Is the single argument an rdfs:comment annotation.
`boolean` | `isComplementOf(List<BuiltInArgument> arguments)` Is the first class argument the complement of the second class argument.
`boolean` | `isComplementOfClassDescription(List<BuiltInArgument> arguments)` Is the single argument an owl:ComplementOf class description.
`boolean` | `isDatatypeProperty(List<BuiltInArgument> arguments)` Determine if the single argument is an OWL datatype property.
`boolean` | `isDefinedBy(List<BuiltInArgument> arguments)` Is the single argument an rdfs:isDefinedBy annotation.
`boolean` | `isDifferentFromAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:DifferentFrom axiom.
`boolean` | `isDirectSubClassOf(List<BuiltInArgument> arguments)` Check that the second class argument is a direct subclass of the first class argument.
`boolean` | `isDirectSubPropertyOf(List<BuiltInArgument> arguments)` Determine if the second property argument is a direct subproperty of the first property argument.
`boolean` | `isDirectSuperClassOf(List<BuiltInArgument> arguments)` Check that the second class argument is a direct superclass of the first class argument.
`boolean` | `isDirectSuperPropertyOf(List<BuiltInArgument> arguments)` Determine if the second property argument is a direct superproperty of the first property argument.
`boolean` | `isDisjointWith(List<BuiltInArgument> arguments)` Determine if the two class arguments represent classes or properties that are disjoint with each other.
`boolean` | `isDisjointWithAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:DisjointWith axiom.
`boolean` | `isEnumeratedDatatypeAxiom(List<BuiltInArgument> arguments)` Is the single argument an enumerated datatype axiom.
`boolean` | `isEquivalentClass(List<BuiltInArgument> arguments)` Determine if the two class arguments are equivalent to each other.
`boolean` | `isEquivalentClassAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:EquivalentClass axiom.
`boolean` | `isEquivalentProperty(List<BuiltInArgument> arguments)` Determine if the two property arguments are equivalent to each other.
`boolean` | `isEquivalentPropertyAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:EquivalentProperty axiom.
`boolean` | `isFunctionalProperty(List<BuiltInArgument> arguments)` Determine if a single property argument is functional.
`boolean` | `isFunctionalPropertyAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:functionalProperty axiom.
`boolean` | `isHasValueRestriction(List<BuiltInArgument> arguments)` Is the single argument an owl:hasValue restriction
`boolean` | `isInDirectDomainOf(List<BuiltInArgument> arguments)` Check that the first class argument is in the domain of the second property argument (excluding its superproperties).
`boolean` | `isInDirectRangeOf(List<BuiltInArgument> arguments)` Check that the first class argument is in the range of the second property argument excluding its superproperties.
`boolean` | `isInDomainOf(List<BuiltInArgument> arguments)` Check that the first class argument is in the domain of the second property argument (including its superproperties).
`boolean` | `isInDomainOfAxiom(List<BuiltInArgument> arguments)` Is the single argument an OWL domain axiom.
`boolean` | `isInRangeOf(List<BuiltInArgument> arguments)` Check that the first class argument is in the range of the second property argument (including its superproperties).
`boolean` | `isInRangeOfAxiom(List<BuiltInArgument> arguments)` Is the single argument an OWL range axiom.
`boolean` | `isIntersectionOfDescription(List<BuiltInArgument> arguments)` Is the single argument an owl:InteresctionOf class description.
`boolean` | `isInverseFunctionalProperty(List<BuiltInArgument> arguments)` Determine if a single property argument is inverse functional.
`boolean` | `isInverseFunctionalPropertyAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:InverseFunctionalProperty axiom.
`boolean` | `isInverseOf(List<BuiltInArgument> arguments)` Determine if the second property argument is the inverse of the first property argument.
`boolean` | `isInverseOfAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:inverseOf axiom.
`boolean` | `isLabelAnnotation(List<BuiltInArgument> arguments)` Is the single argument an rdfs:label annotation.
`boolean` | `isMaxCardinalityRestriction(List<BuiltInArgument> arguments)` Is the single argument an owl:MaxCardinality restriction.
`boolean` | `isMinCardinalityRestriction(List<BuiltInArgument> arguments)` Is the single argument an owl:MinCardinality restriction.
`boolean` | `isObjectProperty(List<BuiltInArgument> arguments)` Determine if a single argument is an OWL object property.
`boolean` | `isOneOfClassDescription(List<BuiltInArgument> arguments)` Is the single argument an owl:oneOf class description.
`boolean` | `isOntology(List<BuiltInArgument> arguments)` Is the single argument an owl:Ontology resource.
`boolean` | `isProperty(List<BuiltInArgument> arguments)` Determine if a single property argument is an OWL property.
`boolean` | `isRestriction(List<BuiltInArgument> arguments)`
`boolean` | `isSameAsAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:SameAs axiom.
`boolean` | `isSeeAlsoAnnotation(List<BuiltInArgument> arguments)` Is the single argument an rdfs:seeAlso annotation.
`boolean` | `isSomeValuesFrom(List<BuiltInArgument> arguments)` It the second property argument a subject of the first property axiom argument.
`boolean` | `isSubClassOf(List<BuiltInArgument> arguments)` Check that the first class argument is a subclass of the second class argument.
`boolean` | `isSubPropertyOf(List<BuiltInArgument> arguments)` Determine if the first property argument is a subproperty of the second property argument.
`boolean` | `isSuperClassOf(List<BuiltInArgument> arguments)` Check that the first class argument is a superclass of the second class argument.
`boolean` | `isSuperPropertyOf(List<BuiltInArgument> arguments)` Determine if the first property argument is a superproperty of the second property argument.
`boolean` | `isSymmetricProperty(List<BuiltInArgument> arguments)` Determine if a single property argument is symmetric.
`boolean` | `isSymmetricPropertyAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:SymmetricProperty axiom.
`boolean` | `isTransitiveProperty(List<BuiltInArgument> arguments)` Determine if a single property argument is transitive.
`boolean` | `isTransitivePropertyAxiom(List<BuiltInArgument> arguments)` Is the single argument an owl:TransitiveProperty axiom.
`boolean` | `isUnionOfDescription(List<BuiltInArgument> arguments)` Is the single argument an owl:UnionOf class description.
`boolean` | `isVersionInfoAnnotation(List<BuiltInArgument> arguments)` Is the single argument an owl:versionInfo annotation.
`boolean` | `notEqualTo(List<BuiltInArgument> arguments)` Check that the two class or property arguments do not refer to the same underlying entity.
`boolean` | `onClassDescription(List<BuiltInArgument> arguments)` It the second class description argument a subject of the first axiom argument.
`boolean` | `onIndividual(List<BuiltInArgument> arguments)` It the second individual argument a subject of the first individual axiom argument.
`boolean` | `onValue(List<BuiltInArgument> arguments)` It the second datatype value argument a subject of the first datatype axiom argument.
`void` | `reset()`

Methods inherited from class edu.stanford.smi.protegex.owl.swrl.bridge.builtins.AbstractSWRLBuiltInLibrary
`getInvokingBridge, getInvokingBuiltInIndex, getInvokingRuleName, getIsInConsequent, getLibraryName, invokeBuiltInMethod, invokeResetMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SWRLBuiltInLibraryImpl

    public SWRLBuiltInLibraryImpl()

Method Detail

### reset

    public void reset()

  Specified by:
    `reset` in interface `SWRLBuiltInLibrary`
  Specified by:
    `reset` in class `AbstractSWRLBuiltInLibrary`

### hasAnnotation

    public boolean hasAnnotation(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Is the second annotation property argument associated with the first ontology, class, property or individual argument. If the second argument is unbound, bind it to the annotation properties associated with the first argument (if any exist).

  Throws:
    `BuiltInException`

### hasCardinality

    public boolean hasCardinality(List<BuiltInArgument> arguments)
                           throws BuiltInException

  It the second integer argument equal to the cardinality specified by the first owl:Cardinality, owl:MaxCardinality, or owl:MinCardinality restriction argument. If the second argument is unbound, bind it to the cardinality value.

  Throws:
    `BuiltInException`

### hasComment

    public boolean hasComment(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Is the second string argument the value specified by the first rdfs:comment annotation property argument. If the second argument is unbound, bind it to the value specified by the first rdfs:comment annotation property argument.

  Throws:
    `BuiltInException`

### hasDescription

    public boolean hasDescription(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Is the second description argument associated with the first class or individual argument. If the second argument is unbound, bind it to the descriptions associated with the first argument (if any exist).

  Throws:
    `BuiltInException`

### hasIsDefinedBy

    public boolean hasIsDefinedBy(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Is the second resource argument the value specified by the first rdfs:isDefinedBy annotation property argument. If the second argument is unbound, bind it to the value specified by the first rdfs:isDefinedBy annotation property argument.

  Throws:
    `BuiltInException`

### hasLabel

    public boolean hasLabel(List<BuiltInArgument> arguments)
                     throws BuiltInException

  Is the second string argument the value specified by the first rdfs:label annotation property argument. If the second argument is unbound, bind it to the value specified by the first rdfs:label annotation property argument.

  Throws:
    `BuiltInException`

### hasSeeAlso

    public boolean hasSeeAlso(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Is the second resource argument the value specified by the first rdfs:seeAlso annotation property argument. If the second argument is unbound, bind it to the value specified by the first rdfs:seeAlso annotation property argument.

  Throws:
    `BuiltInException`

### hasVersionInfo

    public boolean hasVersionInfo(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Is the second string argument the value specified by the first rdfs:versionInfo annotation property argument. If the second argument is unbound, bind it to the value specified by the first rdfs:versionInfo annotation property argument.

  Throws:
    `BuiltInException`

### isAllDifferents

    public boolean isAllDifferents(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Are all individual arguments declared to be the different from each other.

  Throws:
    `BuiltInException`

### isAllDifferentsAxiom

    public boolean isAllDifferentsAxiom(List<BuiltInArgument> arguments)
                                 throws BuiltInException

  Is the single argument an owl:AllDifferentsAxiom.

  Throws:
    `BuiltInException`

### isAllValuesFromRestriction

    public boolean isAllValuesFromRestriction(List<BuiltInArgument> arguments)
                                       throws BuiltInException

  Is the single argument an owl:AllValuesFrom restriction.

  Throws:
    `BuiltInException`

### isAnnotation

    public boolean isAnnotation(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Is the single argument an annotation property.

  Throws:
    `BuiltInException`

### isCardinalityRestriction

    public boolean isCardinalityRestriction(List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Is the single argument an owl:Cardinality restriction.

  Throws:
    `BuiltInException`

### isClass

    public boolean isClass(List<BuiltInArgument> arguments)
                    throws BuiltInException

  Determine if a single argument is an OWL named class. If the argument is unbound, bind it to all OWL named classes in an ontology.

  Throws:
    `BuiltInException`

### isClassDescription

    public boolean isClassDescription(List<BuiltInArgument> arguments)
                               throws BuiltInException

  Is the single argument an OWL class description.

  Throws:
    `BuiltInException`

### isCommentAnnotation

    public boolean isCommentAnnotation(List<BuiltInArgument> arguments)
                                throws BuiltInException

  Is the single argument an rdfs:comment annotation.

  Throws:
    `BuiltInException`

### isComplementOf

    public boolean isComplementOf(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Is the first class argument the complement of the second class argument. If the second argument is unbound, bind it to the complement of the first argument.

  Throws:
    `BuiltInException`

### isComplementOfClassDescription

    public boolean isComplementOfClassDescription(List<BuiltInArgument> arguments)
                                           throws BuiltInException

  Is the single argument an owl:ComplementOf class description.

  Throws:
    `BuiltInException`

### isDatatypeProperty

    public boolean isDatatypeProperty(List<BuiltInArgument> arguments)
                               throws BuiltInException

  Determine if the single argument is an OWL datatype property. If the argument is unbound, bind it to all OWL datatype properties in an ontology.

  Throws:
    `BuiltInException`

### isDefinedBy

    public boolean isDefinedBy(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Is the single argument an rdfs:isDefinedBy annotation.

  Throws:
    `BuiltInException`

### isDifferentFromAxiom

    public boolean isDifferentFromAxiom(List<BuiltInArgument> arguments)
                                 throws BuiltInException

  Is the single argument an owl:DifferentFrom axiom.

  Throws:
    `BuiltInException`

### isDirectSubClassOf

    public boolean isDirectSubClassOf(List<BuiltInArgument> arguments)
                               throws BuiltInException

  Check that the second class argument is a direct subclass of the first class argument. If the second argument is unbound, bind it to the direct subclasses of the first argument (if any exist).

  Throws:
    `BuiltInException`

### isDirectSubPropertyOf

    public boolean isDirectSubPropertyOf(List<BuiltInArgument> arguments)
                                  throws BuiltInException

  Determine if the second property argument is a direct subproperty of the first property argument. If the second argument is unbound, bind it to the direct sub properties of the first argument (if any exist).

  Throws:
    `BuiltInException`

### isDirectSuperClassOf

    public boolean isDirectSuperClassOf(List<BuiltInArgument> arguments)
                                 throws BuiltInException

  Check that the second class argument is a direct superclass of the first class argument. If the second argument is unbound, bind it to the direct superclasses of the first argument (if any exist).

  Throws:
    `BuiltInException`

### isDirectSuperPropertyOf

    public boolean isDirectSuperPropertyOf(List<BuiltInArgument> arguments)
                                    throws BuiltInException

  Determine if the second property argument is a direct superproperty of the first property argument. If the second argument is unbound, bind it to the direct super properties of the first argument (if any exist).

  Throws:
    `BuiltInException`

### isDisjointWith

    public boolean isDisjointWith(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Determine if the two class arguments represent classes or properties that are disjoint with each other. If the second argument is unbound, bind it to the disjoint classes of the first argument (if any exist).

  Throws:
    `BuiltInException`

### isDisjointWithAxiom

    public boolean isDisjointWithAxiom(List<BuiltInArgument> arguments)
                                throws BuiltInException

  Is the single argument an owl:DisjointWith axiom.

  Throws:
    `BuiltInException`

### isEnumeratedDatatypeAxiom

    public boolean isEnumeratedDatatypeAxiom(List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Is the single argument an enumerated datatype axiom.

  Throws:
    `BuiltInException`

### isEquivalentClass

    public boolean isEquivalentClass(List<BuiltInArgument> arguments)
                              throws BuiltInException

  Determine if the two class arguments are equivalent to each other. If the second argument is unbound, bind it to the equivalent classes of the first argument (if any exist).

  Throws:
    `BuiltInException`

### isEquivalentClassAxiom

    public boolean isEquivalentClassAxiom(List<BuiltInArgument> arguments)
                                   throws BuiltInException

  Is the single argument an owl:EquivalentClass axiom.

  Throws:
    `BuiltInException`

### isEquivalentProperty

    public boolean isEquivalentProperty(List<BuiltInArgument> arguments)
                                 throws BuiltInException

  Determine if the two property arguments are equivalent to each other. If the second argument is unbound, bind it to the equivalent properties of the first argument (if any exist).

  Throws:
    `BuiltInException`

### isEquivalentPropertyAxiom

    public boolean isEquivalentPropertyAxiom(List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Is the single argument an owl:EquivalentProperty axiom.

  Throws:
    `BuiltInException`

### isFunctionalProperty

    public boolean isFunctionalProperty(List<BuiltInArgument> arguments)
                                 throws BuiltInException

  Determine if a single property argument is functional.

  Throws:
    `BuiltInException`

### isFunctionalPropertyAxiom

    public boolean isFunctionalPropertyAxiom(List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Is the single argument an owl:functionalProperty axiom.

  Throws:
    `BuiltInException`

### isHasValueRestriction

    public boolean isHasValueRestriction(List<BuiltInArgument> arguments)
                                  throws BuiltInException

  Is the single argument an owl:hasValue restriction

  Throws:
    `BuiltInException`

### isInDirectDomainOf

    public boolean isInDirectDomainOf(List<BuiltInArgument> arguments)
                               throws BuiltInException

  Check that the first class argument is in the domain of the second property argument (excluding its superproperties). If the first argument is unbound and the second argument is bound, bind the first argument to the domain(s) of the second property argument (if any exist). If the first class argument is bound and the second argument is unbound, bind the second argument to the properties that have the class in their domain (if any). An error is thrown if both arguments are unbound.

  Throws:
    `BuiltInException`

### isInDirectRangeOf

    public boolean isInDirectRangeOf(List<BuiltInArgument> arguments)
                              throws BuiltInException

  Check that the first class argument is in the range of the second property argument excluding its superproperties. If the first argument is unbound, bind it to the range of the second argument (if any exist).

  Throws:
    `BuiltInException`

### isInDomainOf

    public boolean isInDomainOf(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Check that the first class argument is in the domain of the second property argument (including its superproperties). If the first argument is unbound and the second argument is bound, bind the first argument to the domain(s) of the second property argument (if any exist). If the first class argument is bound and the second argument is unbound, bind the second argument to the properties that have the class in their domain (if any). An error is thrown if both arguments are unbound.

  Throws:
    `BuiltInException`

### isInDomainOfAxiom

    public boolean isInDomainOfAxiom(List<BuiltInArgument> arguments)
                              throws BuiltInException

  Is the single argument an OWL domain axiom.

  Throws:
    `BuiltInException`

### isInRangeOf

    public boolean isInRangeOf(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Check that the first class argument is in the range of the second property argument (including its superproperties). If the first argument is unbound, bind it to the range of the second argument (if any exist).

  Throws:
    `BuiltInException`

### isInRangeOfAxiom

    public boolean isInRangeOfAxiom(List<BuiltInArgument> arguments)
                             throws BuiltInException

  Is the single argument an OWL range axiom.

  Throws:
    `BuiltInException`

### isIntersectionOfDescription

    public boolean isIntersectionOfDescription(List<BuiltInArgument> arguments)
                                        throws BuiltInException

  Is the single argument an owl:InteresctionOf class description.

  Throws:
    `BuiltInException`

### isInverseFunctionalPropertyAxiom

    public boolean isInverseFunctionalPropertyAxiom(List<BuiltInArgument> arguments)
                                             throws BuiltInException

  Is the single argument an owl:InverseFunctionalProperty axiom.

  Throws:
    `BuiltInException`

### isInverseOf

    public boolean isInverseOf(List<BuiltInArgument> arguments)
                        throws BuiltInException

  Determine if the second property argument is the inverse of the first property argument.

  Throws:
    `BuiltInException`

### isInverseFunctionalProperty

    public boolean isInverseFunctionalProperty(List<BuiltInArgument> arguments)
                                        throws BuiltInException

  Determine if a single property argument is inverse functional.

  Throws:
    `BuiltInException`

### isInverseOfAxiom

    public boolean isInverseOfAxiom(List<BuiltInArgument> arguments)
                             throws BuiltInException

  Is the single argument an owl:inverseOf axiom.

  Throws:
    `BuiltInException`

### isLabelAnnotation

    public boolean isLabelAnnotation(List<BuiltInArgument> arguments)
                              throws BuiltInException

  Is the single argument an rdfs:label annotation.

  Throws:
    `BuiltInException`

### isMaxCardinalityRestriction

    public boolean isMaxCardinalityRestriction(List<BuiltInArgument> arguments)
                                        throws BuiltInException

  Is the single argument an owl:MaxCardinality restriction.

  Throws:
    `BuiltInException`

### isMinCardinalityRestriction

    public boolean isMinCardinalityRestriction(List<BuiltInArgument> arguments)
                                        throws BuiltInException

  Is the single argument an owl:MinCardinality restriction.

  Throws:
    `BuiltInException`

### isObjectProperty

    public boolean isObjectProperty(List<BuiltInArgument> arguments)
                             throws BuiltInException

  Determine if a single argument is an OWL object property. If the argument is unbound, bind it to all OWL object properties in an ontology.

  Throws:
    `BuiltInException`

### isOneOfClassDescription

    public boolean isOneOfClassDescription(List<BuiltInArgument> arguments)
                                    throws BuiltInException

  Is the single argument an owl:oneOf class description.

  Throws:
    `BuiltInException`

### isOntology

    public boolean isOntology(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Is the single argument an owl:Ontology resource. If the argument is unbound, bind it to the current ontology.

  Throws:
    `BuiltInException`

### isProperty

    public boolean isProperty(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Determine if a single property argument is an OWL property. If the argument is unbound, bind it to all OWL properties in an ontology.

  Throws:
    `BuiltInException`

### isSeeAlsoAnnotation

    public boolean isSeeAlsoAnnotation(List<BuiltInArgument> arguments)
                                throws BuiltInException

  Is the single argument an rdfs:seeAlso annotation.

  Throws:
    `BuiltInException`

### isSameAsAxiom

    public boolean isSameAsAxiom(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Is the single argument an owl:SameAs axiom.

  Throws:
    `BuiltInException`

### isSubClassOf

    public boolean isSubClassOf(List<BuiltInArgument> arguments)
                         throws BuiltInException

  Check that the first class argument is a subclass of the second class argument. If the first argument is unbound, bind it to the subclasses of the second argument (if any exist).

  Throws:
    `BuiltInException`

### isSubPropertyOf

    public boolean isSubPropertyOf(List<BuiltInArgument> arguments)
                            throws BuiltInException

  Determine if the first property argument is a subproperty of the second property argument. If the first argument is unbound, bind it to the sub properties of the second argument (if any exist).

  Throws:
    `BuiltInException`

### isSuperClassOf

    public boolean isSuperClassOf(List<BuiltInArgument> arguments)
                           throws BuiltInException

  Check that the first class argument is a superclass of the second class argument. If the first argument is unbound, bind it to the superclasses of the second argument (if any exist).

  Throws:
    `BuiltInException`

### isSuperPropertyOf

    public boolean isSuperPropertyOf(List<BuiltInArgument> arguments)
                              throws BuiltInException

  Determine if the first property argument is a superproperty of the second property argument. If the first argument is unbound, bind it to the super properties of the second argument (if any exist).

  Throws:
    `BuiltInException`

### isSymmetricProperty

    public boolean isSymmetricProperty(List<BuiltInArgument> arguments)
                                throws BuiltInException

  Determine if a single property argument is symmetric.

  Throws:
    `BuiltInException`

### isSymmetricPropertyAxiom

    public boolean isSymmetricPropertyAxiom(List<BuiltInArgument> arguments)
                                     throws BuiltInException

  Is the single argument an owl:SymmetricProperty axiom.

  Throws:
    `BuiltInException`

### isTransitiveProperty

    public boolean isTransitiveProperty(List<BuiltInArgument> arguments)
                                 throws BuiltInException

  Determine if a single property argument is transitive.

  Throws:
    `BuiltInException`

### isTransitivePropertyAxiom

    public boolean isTransitivePropertyAxiom(List<BuiltInArgument> arguments)
                                      throws BuiltInException

  Is the single argument an owl:TransitiveProperty axiom.

  Throws:
    `BuiltInException`

### isRestriction

    public boolean isRestriction(List<BuiltInArgument> arguments)
                          throws BuiltInException

  Throws:
    `BuiltInException`

### isUnionOfDescription

    public boolean isUnionOfDescription(List<BuiltInArgument> arguments)
                                 throws BuiltInException

  Is the single argument an owl:UnionOf class description.

  Throws:
    `BuiltInException`

### isVersionInfoAnnotation

    public boolean isVersionInfoAnnotation(List<BuiltInArgument> arguments)
                                    throws BuiltInException

  Is the single argument an owl:versionInfo annotation.

  Throws:
    `BuiltInException`

### onClassDescription

    public boolean onClassDescription(List<BuiltInArgument> arguments)
                               throws BuiltInException

  It the second class description argument a subject of the first axiom argument. If the second argument is unbound, bind it to the the axiom's subject(s).

  Throws:
    `BuiltInException`

### onIndividual

    public boolean onIndividual(List<BuiltInArgument> arguments)
                         throws BuiltInException

  It the second individual argument a subject of the first individual axiom argument. If the second argument is unbound, bind it to the individual axiom's subject(s).

  Throws:
    `BuiltInException`

### isSomeValuesFrom

    public boolean isSomeValuesFrom(List<BuiltInArgument> arguments)
                             throws BuiltInException

  It the second property argument a subject of the first property axiom argument. If the second argument is unbound, bind it to the property axiom's subject(s).

  Throws:
    `BuiltInException`

### onValue

    public boolean onValue(List<BuiltInArgument> arguments)
                    throws BuiltInException

  It the second datatype value argument a subject of the first datatype axiom argument. If the second argument is unbound, bind it to the data value axiom's subject(s).

  Throws:
    `BuiltInException`

### equalTo

    public boolean equalTo(List<BuiltInArgument> arguments)
                    throws BuiltInException

  Check that the two class or property arguments refer to the same underlying entity.

  Throws:
    `BuiltInException`

### notEqualTo

    public boolean notEqualTo(List<BuiltInArgument> arguments)
                       throws BuiltInException

  Check that the two class or property arguments do not refer to the same underlying entity.

  Throws:
    `BuiltInException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.